列出协议

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

检索协议 对象 的列表。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) Agreement.Read.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 不支持。

代表用户进行呼叫时,用户需要属于以下目录角色之一。 若要了解有关目录角色Azure AD,请参阅Azure AD角色

  • 全局管理员
  • 条件访问管理
  • 安全管理员

HTTP 请求

GET /identityGovernance/termsOfUse/agreements

可选的查询参数

此方法支持使用 $select$filter$top OData 查询参数来帮助自定义响应。

请求标头

名称 类型 说明
Authorization string 持有者 {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应 200 OK 正文中返回 响应代码和 agreement 对象集合。

示例

请求
GET https://graph.microsoft.com/beta/identityGovernance/termsOfUse/agreements
响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-type: application/json

{
    "@odata.context": "https://graph.microsoft.com/beta/$metadata#agreements",
    "value": [
        {
            "id": "0ec9f6a6-159d-4dd8-a563-1f0b5935e80b",
            "displayName": "All users terms of use",
            "termsExpiration": null,
            "userReacceptRequiredFrequency": "P90D",
            "isViewingBeforeAcceptanceRequired": false,
            "isPerDeviceAcceptanceRequired": false
        },
        {
            "id": "920f5775-d5d7-454b-861f-14685bb24e2c",
            "displayName": "ToU",
            "termsExpiration": null,
            "userReacceptRequiredFrequency": "P90D",
            "isViewingBeforeAcceptanceRequired": false,
            "isPerDeviceAcceptanceRequired": false
        },
        {
            "id": "94410bbf-3d3e-4683-8149-f034e55c39dd",
            "displayName": "Contoso ToU for guest users",
            "termsExpiration": null,
            "userReacceptRequiredFrequency": null,
            "isViewingBeforeAcceptanceRequired": true,
            "isPerDeviceAcceptanceRequired": false
        }
    ]
}